org.apache.synapse.securevault.definition

## Class KeyStoreInformation

- java.lang.Object
- - org.apache.synapse.securevault.definition.KeyStoreInformation

- Direct Known Subclasses:
    IdentityKeyStoreInformation, TrustKeyStoreInformation

      public abstract class KeyStoreInformation
      extends Object

  Encapsulates the keyStore related information

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ENABLE_HOST_NAME_VERIFIER`
    `static String` | `KEY_STORE_CERTIFICATE_FILE_PATH`
    `protected org.apache.commons.logging.Log` | `log`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `KeyStoreInformation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addParameter(String name, String value)`
    `String` | `getAlias()`
    `protected KeyStore` | `getKeyStore()` Constructs the KeyStore according to the store type
    `SecretInformation` | `getKeyStorePasswordProvider()`
    `String` | `getLocation()`
    `String` | `getParameter(String name)`
    `String` | `getProvider()`
    `protected void` | `handleException(String msg)`
    `protected void` | `handleException(String msg, Exception e)`
    `void` | `setAlias(String alias)`
    `void` | `setKeyStorePasswordProvider(SecretInformation keyStorePasswordProvider)`
    `void` | `setLocation(String location)`
    `void` | `setProvider(String provider)`
    `void` | `setStoreType(String storeType)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### log

          protected final org.apache.commons.logging.Log log

    - #### KEY_STORE_CERTIFICATE_FILE_PATH

          public static final String KEY_STORE_CERTIFICATE_FILE_PATH

      See Also:
        Constant Field Values

    - #### ENABLE_HOST_NAME_VERIFIER

          public static final String ENABLE_HOST_NAME_VERIFIER

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### KeyStoreInformation

          protected KeyStoreInformation()

  - ### Method Detail

    - #### setStoreType

          public void setStoreType(String storeType)

    - #### getAlias

          public String getAlias()

    - #### setAlias

          public void setAlias(String alias)

    - #### getLocation

          public String getLocation()

    - #### setLocation

          public void setLocation(String location)

    - #### getProvider

          public String getProvider()

    - #### setProvider

          public void setProvider(String provider)

    - #### setKeyStorePasswordProvider

          public void setKeyStorePasswordProvider(SecretInformation keyStorePasswordProvider)

    - #### addParameter

          public void addParameter(String name,
                                   String value)

    - #### getParameter

          public String getParameter(String name)

    - #### getKeyStore

          protected KeyStore getKeyStore()

      Constructs the KeyStore according to the store type
      Returns:
        KeyStore Instance

    - #### handleException

          protected void handleException(String msg)

    - #### handleException

          protected void handleException(String msg,
                                         Exception e)

    - #### getKeyStorePasswordProvider

          public SecretInformation getKeyStorePasswordProvider()

Copyright © 2005–2017 Apache Software Foundation. All rights reserved.